curl --request POST \
--url https://api.privy.io/v1/organizations/{organization_id}/external_fiat_accounts \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"provider": "bridge",
"currency": "<string>",
"account_owner_name": "<string>",
"account": {
"type": "us",
"account_number": "<string>",
"routing_number": "<string>",
"checking_or_savings": "<string>"
},
"environment": "sandbox",
"bank_name": "<string>"
}
'HttpResponse<String> response = Unirest.post("https://api.privy.io/v1/organizations/{organization_id}/external_fiat_accounts")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"provider\": \"bridge\",\n \"currency\": \"<string>\",\n \"account_owner_name\": \"<string>\",\n \"account\": {\n \"type\": \"us\",\n \"account_number\": \"<string>\",\n \"routing_number\": \"<string>\",\n \"checking_or_savings\": \"<string>\"\n },\n \"environment\": \"sandbox\",\n \"bank_name\": \"<string>\"\n}")
.asString();const options = {
method: 'POST',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
provider: 'bridge',
currency: '<string>',
account_owner_name: '<string>',
account: {
type: 'us',
account_number: '<string>',
routing_number: '<string>',
checking_or_savings: '<string>'
},
environment: 'sandbox',
bank_name: '<string>'
})
};
fetch('https://api.privy.io/v1/organizations/{organization_id}/external_fiat_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/organizations/{organization_id}/external_fiat_accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider' => 'bridge',
'currency' => '<string>',
'account_owner_name' => '<string>',
'account' => [
'type' => 'us',
'account_number' => '<string>',
'routing_number' => '<string>',
'checking_or_savings' => '<string>'
],
'environment' => 'sandbox',
'bank_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/organizations/{organization_id}/external_fiat_accounts"
payload := strings.NewReader("{\n \"provider\": \"bridge\",\n \"currency\": \"<string>\",\n \"account_owner_name\": \"<string>\",\n \"account\": {\n \"type\": \"us\",\n \"account_number\": \"<string>\",\n \"routing_number\": \"<string>\",\n \"checking_or_savings\": \"<string>\"\n },\n \"environment\": \"sandbox\",\n \"bank_name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"external_fiat_account": {
"id": "<string>",
"provider": "bridge",
"environment": "sandbox",
"currency": "<string>",
"account_type": "<string>",
"account_owner_name": "<string>",
"created_at": "<string>",
"organization_id": "<string>",
"bank_name": "<string>",
"last_4": "<string>"
}
}Create external fiat account
Creates an external fiat account linked to an organization for use in offramp transfers.
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
The ID of the organization to create the external fiat account for.
Body
Request body for creating an external fiat account. The shape varies by provider.
Discriminator: the external fiat account is orchestrated via Bridge.
bridge 3 - 256US bank account data for an external fiat account.
- ExternalFiatAccountUsData
- ExternalFiatAccountGbData
- ExternalFiatAccountPixData
- ExternalFiatAccountIbanData
- ExternalFiatAccountSwiftData
Show child attributes
Show child attributes
The Privy API environment.
sandbox, production "sandbox"
1 - 256Physical address associated with an external fiat account.
Show child attributes
Show child attributes
Response
The created external fiat account.
Response containing a single organization external fiat account.
An external fiat account linked to an organization. The shape varies by provider.
Show child attributes
Show child attributes
Was this page helpful?

